services:
  hxki-prometheus:
    image: prom/prometheus:latest
    container_name: hxki-prometheus
    volumes:
      - /opt/hx-ki/monitoring/prometheus.yml:/etc/prometheus/prometheus.yml:ro
    command:
      - "--config.file=/etc/prometheus/prometheus.yml"
    restart: unless-stopped
    ports:
      - "9090:9090"
    networks:
      - hxki-internal
      - grafana_default

networks:
  hxki-internal:
    external: true
  grafana_default:
    external: true
